import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.PackageStatus;
import com.silanis.esl.sdk.SigningStatus;
import com.silanis.esl.sdk.io.Files;

public class SimpleCheckStatusAndDownload {
	
    public static final String API_KEY = "";
    public static final String API_URL = "https://sandbox.esignlive.com/api"; 
    // USE https://apps.e-signlive.com/api FOR PRODUCTION
 
    public static void main( String[] args ) {
      //connect to e-SignLive
    	EslClient eslClient = new EslClient( API_KEY, API_URL );

      //create a packageId using you packageId string
      PackageId packageId = new PackageId("");
    	
    	//get your package
    	DocumentPackage sentPackage = eslClient.getPackage(packageId);
    	
    	//checking package status
    	PackageStatus status = sentPackage.getStatus();
    	System.out.println(status);
    	
    	//checking signing status
    	SigningStatus sentSigningStatus = eslClient
                .getSigningStatus( packageId, null, null );
    	System.out.println(sentSigningStatus.getToken());
    	
    	//if signing is complete, download all documents
    	if(sentSigningStatus.getToken().equals("SIGNING_PENDING")){
    		System.out.println("Cannot Download: Signing not complete");
    	}
    	else{
    		//download zip file
    		byte[] documentZip = eslClient.downloadZippedDocuments(packageId);
    		Files.saveTo(documentZip, "documentZip.zip");
    		System.out.println("Document Zip File Downloaded");
    		
    		//download evidence summary
    		byte[] evidenceSummary = eslClient
                        .downloadEvidenceSummary(packageId);
            Files.saveTo(evidenceSummary, "evidenceSummary.pdf");
            System.out.println("Evidence Summary Downloaded");
    	}
    }
}